Subject: Re: sky2 v1.7 rx error...

From: Stephen Hemminger <[email-masked]>
Date: Tue, 26 Sep 2006 13:44:17 -0700

On Tue, 26 Sep 2006 21:09:31 +0100
"Daniel J Blueman" <[email-masked]> wrote:

> The server processor is a Pentium-M 1.7GHz (ondemand governor, from
> 0.6GHz -> 1.7GHz).
> 
> Gigabit path from server -> switch -> client. Client runs WinXP,
> Core2Duo 2.13GHz, Realtek RTL8168/8111 PCI-e NIC.
> 
> Flow contol enabled in both directions, both for client and server:
> sky2 lan0: Link is up at 1000 Mbps, full duplex, flow control both
> 
> Jumbo frames are in use on the tx side of server only - MTU 9000. I
> reproduced this with sky2 v1.7 with non-jumbo MTU 1500 frames too.
> 
> Let me know if there is any further information I can grab and/or any
> other settings/tweaks/patches I can try.
> 
> Dan
> 
> On 26/09/06, Stephen Hemminger <[email-masked]> wrote:
> > On Tue, 26 Sep 2006 18:58:40 +0100
> > "Daniel J Blueman" <[email-masked]> wrote:
> >
> > > I got a this message with sky2 on 2.6.18 + the sky2 v1.7 patches - it
> > > has different status bits set than before (0x977d977d):
> > >
> > > kernel: sky2 lan0: rx error, status 0x377d377d length 0
> > >
> > > Great work so far though - this race takes a while to hit!
> > >
> > > Dan
> >
> > What speed processor? Are you using receive flow control? Are you
> > using Jumbo frames?
> >
> > --
> > Stephen Hemminger <[email-masked]>

Statistics?
	ethtool -S eth0

Does it hang after this? It looks like a receive fifo overflow, that happens
when the receive ring gets full.  You could try increasing RX_LE_SIZE from 512
to 1024.  That would eat more memory (510 packets) but might avoid the
problem.

Other possible solutions would be to reduce the coalescing timer values
with ethtool.
	ethtool -c eth1
	ethtool -C eth1 rx-usecs 10 rx-usecs-irq 10 rx-iframes-irq 4

-- 
Stephen Hemminger <[email-masked]>